Update customer custom field values

This request updates customer Custom Field values.

   Click here to learn more about this request

Custom Fields are used by lenders to track information that applies to their business but isn't native to LoanPro. Custom Fields are created and stored within the environment settings and then can be applied to entities such as customers, installment loans, line of credit accounts, and more.

To learn the basics of Custom Fields, see our Custom Fields Overview article.

Note the following when updating Custom Field values:

Custom Fields are assigned an ID when created within your account settings. This request uses the ID of a Custom Field to update the value stored within a customer's profile. To view the IDs of Custom Fields created within your account, use the GET customer custom fields request or navigate to Settings > Customer > Custom Fields within the UI.

The CustomFieldValues object holds Custom Field information, and it's nested within the Customers entity.

This request updates only the stored value of the Custom Field—not the Custom Field configuration. To update the Custom Field's configuration, use the PUT edit custom field request.

For an example of how custom fields work within the UI, take a look at our Custom fields overview article.

Database

For information regarding customer and Custom Field database tables, see the following articles:

Database – Custom Field Entity (custom_field)

Database – Custom Field to Entity Map (custom_field__entity)

Database – Customer Main Table (customer_entity)

{
    "CustomFieldValues": {
        "results": [
            {
                "customFieldId": 3,
                "customFieldValue": "400.00"
            }
        ]
    },
    "__id": 4150,
    "__update": true
}
Path Params
int32
required

The ID of the customer.

Body Params
CustomFieldValues
object

This object holds Custom Field information.

int32
required

The ID of the customer to update.

string
required

Set this to true to update the object.
> If this is set to false or null, the object will not be updated.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json